#!must_be_sourced
#
#   gbsuninstall.sh
#
GBS_RC=0
let GBS_SCRIPT_LEVEL+=1

    \export GBS_EXIT_FILE=~/tmp/GBSUNINSTALL_RESULT_`hostname`_$GBS_PID.tmp
    \rm -f $GBS_EXIT_FILE 2> /dev/null
    $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsuninstall.pl $*
    GBS_RC=$?
    set --

    #
    #   Selectively setup the environment
    #
    if [[ $GBS_RC -eq 0 && -f $GBS_EXIT_FILE ]]
    then
	#
	#   Execute the setup of environment variables
	#
	. $GBS_EXIT_FILE
        GBS_RC=$?
    fi
    \rm -f $GBS_EXIT_FILE 2> /dev/null
    unset GBS_EXIT_FILE

#   End
let GBS_SCRIPT_LEVEL-=1
if (( $GBS_SCRIPT_LEVEL <= 0 ))
then
    unset GBS_PROMPT_SEPARATOR_PRINTED
    unset GBS_SCRIPT_LEVEL
fi
\set --
bash -c "exit $GBS_RC" # set $?

##EOF##

