@ECHO OFF
::========================================
::  gbsstart.bat <root> [<subsys>] [<comp>] [<target>] --exec=<exec_command> [--rel=<rel>]
::    Generic invocation of GBS in a batch environment
::    - Determine GBS_BASE_PATH
::    - call .gbs\profile.bat
::    - generic call GBS_SCRIPTS_PATH\gbsstart.bat
::========================================

::
::  Set GBS_BASE_PATH
::
for %%A in ("%APPDATA%") do set SHORT_APPDATA=%%~fsA
set GBS_BASE_PATH=%SHORT_APPDATA%\.gbs

::
::  Run setup (& profile)
::
call %GBS_BASE_PATH%\setup.bat cur

::
::  Execute gbsstart
::
::echo GBSTART_: GBS_SCRIPTS_PATH=%GBS_SCRIPTS_PATH%
%GBS_SCRIPTS_PATH%\gbsstart.bat %*
set rc=%ERRORLEVEL%

:end
exit /B %rc%

:::EOF:::
