@ECHO OFF
::========================================
::  gbsstart_here.bat <gbscommand> [<gbs_command_args>...]
::    Generic invocation of GBS in a batch environment
::    - Determine GBS_BASE_PATH
::    - call .gbs\profile.bat
::    - generic call GBS_SCRIPTS_PATH\gbsstart_here.bat
::========================================

::
::  Set GBS_BASE_PATH
::
for %%A in ("%APPDATA%") do set SHORT_APPDATA=%%~fsA
set GBS_BASE_PATH=%SHORT_APPDATA%\.gbs

::
::  Run setup (& profile)
::
call %GBS_BASE_PATH%\setup.bat cur

::
::  Execute gbsstart_here
::
%GBS_SCRIPTS_PATH%\gbsstart_here.bat %*
set rc=%ERRORLEVEL%

:end
exit /B %rc%

:::EOF:::
