@ECHO OFF
::========================================
::  setup.bat <wanted_rel>
::  Common part for gbsinit.bat (interactive) and gbsstart.bat (batch)
::  - Setup the PERL Commands
::  - Run profile.bat
::  - Adjust the GBS_SCRIPTS_REL (if applicable)
::========================================

::
::  Handle Args
::
set GBS_SETUP_REL=%1

::
::  Setup Perl
::
set GBS_PERL_CMD=perl
set GBS_WPERL_CMD=wperl
if [%GBS_PERL_PATH%]==[] goto end_perl
    set GBS_PERL_CMD=%GBS_PERL_PATH%\bin\perl.exe
    set GBS_WPERL_CMD=%GBS_PERL_PATH%\bin\wperl.exe
    echo SETUP_: Perl set to '%GBS_PERL_PATH%\bin\perl'
:end_perl

::
::  Execute profile
::
::echo SETUP_: Executing %GBS_BASE_PATH%\profile.bat...
call %GBS_BASE_PATH%\profile.bat
if [%GBS_SETUP_REL%]==[cur] goto end_profile
    if [%GBS_SETUP_REL%]==[%GBS_SCRIPTS_REL%] goto end_profile
        if not exist %GBS_SCRIPTS_ROOT%\%GBS_SCRIPTS_REL% echo SETUP_: GBS Version '%GBS_SETUP_REL%' does not exist && goto end_profile
        set GBS_SCRIPTS_REL=%GBS_SETUP_REL%
        echo SETUP_: GBS Version set to '%GBS_SCRIPTS_REL%'
:end_profile

::
::  Cleanup
::
set GBS_SETUP_REL=

:: **EOF**
