@ECHO OFF
::
::   Install.bat
::
setlocal

    ::
    ::  Sanity Checks
    ::

    if not defined APPDATA echo INSTALL_: Fatal Error: System EnvVar APPDATA is not defined
    if not defined APPDATA goto end

    if not defined TEMP echo INSTALL_: Fatal Error: System EnvVar TEMP is not defined
    if not defined TEMP goto end

    ::
    ::	Setup Perl
    ::
    set GBS_PERL_CMD=perl
    if [%GBS_PERL_PATH%]==[] goto end_perl
	set GBS_PERL_CMD=%GBS_PERL_PATH%\bin\perl.exe
        set GBS_WPERL_CMD=%GBS_PERL_PATH%\bin\wperl.exe
	echo INSTALL_: Perl set to '%GBS_PERL_PATH%\bin\perl'
    :end_perl

    ::
    ::  Define GBS_SCRIPTS_PATH
    ::
    pushd %~dp0

    set SUBDIR=
    for /D %%A in (*) do set SUBDIR=%%A
    if [%SUBDIR%]==[] goto mode_dev
	echo INSTALL_: GBS version: %SUBDIR%
	set GBS_SCRIPTS_PATH=%CD%\%SUBDIR%
	goto mode_end
    :mode_dev
	::echo INSTALL_: CD=%CD%
	echo INSTALL_: *** In Development Environment ***
	pushd ..
	set GBS_SCRIPTS_PATH=%CD%
	popd
    :mode_end
    echo INSTALL_: GBS_SCRIPTS_PATH set to %GBS_SCRIPTS_PATH%

    ::
    ::  Run Install
    ::	  -q
    ::	  --help
    ::
    %GBS_PERL_CMD% -w Install.pl %*

    ::
    ::  Exit
    ::
:end
    popd
    echo.
    set /p GBS_WAIT=INSTALL_: Hit ^<Enter^> to finish (and maybe close window):

endlocal

:: **EOF**
